• 103阅读
  • 3回复

[讨论]QJsEngine import语法不支持吗? [复制链接]

上一主题 下一主题
离线houjie
 

只看楼主 倒序阅读 楼主  发表于: 10-09
按照文档,我建了工程,然后使用import导入module,结果报错,QJsEngine不支持Import语法吗?我看文档有说已经支持到EMCAScript 7的啊



在线liulin188

只看该作者 1楼 发表于: 10-09
别说import了,稍微复杂一点的js语法都不支持。
而且没有V8引擎,弱爆了。
qt在我看来是什么库都想做,什么库都没做好
离线houjie

只看该作者 2楼 发表于: 10-09
但是它文档说支持啊,怎么回事?
离线astrolee

只看该作者 3楼 发表于: 昨天 14:13
默认情况下QJSEngine使用的是非严格(non-strict)模式,只支持简单的javascript语句,如果要使用ECMAScript模块,就要用QJSEngine.importModule导入一个代码文件,而且后缀名也必须是.mjs,这样QJSEngine就运行在strict-mode,export,import这些语法都可以用。如果用.js作为后缀名QJSEngine依然运行在非严格模式下。

所以不能直接调用evaluate,要把代码放入后缀名为.mjs的文件,然后调用importModule
快速回复
限100 字节
 
上一个 下一个